<?php

namespace App\Http\Controllers;

use App\Models\Seat;
use App\Models\Blogs;

use App\Models\Banner;
use App\Models\Gallery;
use Illuminate\Http\Request;

class PageController extends Controller
{

  public function home()
  {
    $blogs = Blogs::orderBy('created_at', 'desc')->take(3)->get();
    $banner = Banner::all();
    $gallery = Gallery::all();

    return view('welcome', compact('blogs', 'banner', 'gallery'));
  }

  public function about_us()
  {
    $gallery = Gallery::all();
    return view('about_us', compact('gallery'));
  }
  public function contact_us()
  {
    return view('contact_us');
  }

  public function blogs()
  {
    $blogs = Blogs::orderBy('created_at', 'desc')->paginate(4); // Adjust '5' to your desired number of blogs per page
    return view('blogs', compact('blogs'));
  }

  public function blogs_details($id)
  {
    $blogs = Blogs::findOrFail($id);
    $recent_posts = Blogs::orderBy('created_at', 'desc')->take(3)->get();

    return view('blogs_details', compact('blogs', 'recent_posts'));
  }
  public function gallery()
  {
    $gallery = Gallery::all();

    return view('gallery', compact('gallery'));
  }


  public function reservation(Request $request)
  {
    $selectedDate = $request->input('reservation_date', now()->toDateString());
    // Fetch all seats with reservations

    $request->session()->put('selectedDate', $selectedDate);


    $seats = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->get();

    // Fetch individual seats with the same filter logic
    $vvip1 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(1);

    $vvip2 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(2);

    $vvip3 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(3);

    $vvip4 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(4);

    $vip1 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(5);

    $vip2 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(6);

    $vip3 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(7);

    $vip4 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(8);

    $vip5 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(9);

    $vip6 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(10);

    $vip7 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(11);

    $seats = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->get();

    return view('reservation', compact('seats', 'vvip1', 'vvip2', 'vvip3', 'vvip4', 'vip1', 'vip2', 'vip3', 'vip4', 'vip5', 'vip6', 'vip7', 'selectedDate', 'seats'));
  }

  public function getAvailableTimes(Request $request)
  {
    $seatId = $request->input('seat_id');

    // Fetch the seat's times from the database
    $seat = Seat::find($seatId);

    if (!$seat) {
      return response()->json(['error' => 'Seat not found'], 404);
    }

    // Assuming 'time' column contains comma-separated times
    $availableTimes = explode(',', $seat->time);

    return response()->json(['availableTimes' => $availableTimes]);
  }



  public function index(Request $request)
  {
    // Default to today's date if no reservation date is provided
    $selectedDate = $request->input('reservation_date', now()->toDateString());

    // Fetch all seats with reservations
    $seats = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->get();

    // Fetch individual seats with the same filter logic
    $vvip1 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(1);

    $vvip2 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(2);

    $vvip3 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(3);

    $vvip4 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(4);

    $vip1 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(5);

    $vip2 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(6);

    $vip3 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(7);

    $vip4 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(8);

    $vip5 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(9);

    $vip6 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(10);

    $vip7 = Seat::with(['reservations' => function ($query) use ($selectedDate) {
      $query->where('reservation_date', $selectedDate);
    }])->find(11);

    // Pass the variables to the view
    return view('backend.modules.seats-map-admin.index', compact(
      'seats',
      'selectedDate',
      'vvip1',
      'vvip2',
      'vvip3',
      'vvip4',
      'vip1',
      'vip2',
      'vip3',
      'vip4',
      'vip5',
      'vip6',
      'vip7',

    ));
  }
}
