<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EventTable extends Model
{
    use HasFactory;


    // Table associated with the model
    protected $table = 'event_table';

    // Primary key
    protected $primaryKey = 'id';

    // Mass assignable attributes
    protected $fillable = [
        'seat_id',
        'date_id',
        'price',
        'door_charge',
    ];

    // Define the relationship with the Seat model
    public function seat()
    {
        return $this->belongsTo(Seat::class, 'seat_id');
    }

    // Define the relationship with the Date model
    public function date()
    {
        return $this->belongsTo(Date::class, 'date_id');
    }
}
