<x-app-layout>
    <div class="container p-4 mx-auto">
        <h1 class="mb-4 text-2xl font-bold">Blogs</h1>
        <a href="{{ route('blogs.create') }}" class="px-4 py-2 text-white bg-black rounded-full">
            <i class='bx bx-add-to-queue'></i>Add New Blogs
        </a>
    </div>

    <section class="container px-4 mx-auto">
        <div class="flex flex-col">
            <div class="-mx-4 -my-2 overflow-x-auto sm:-mx-6 lg:-mx-8">
                <div class="inline-block min-w-full py-2 align-middle md:px-6 lg:px-8">
                    <div class="overflow-hidden border border-gray-200 md:rounded-lg">
                        <table id="blogsTable" class="min-w-full bg-white divide-y divide-gray-200">
                            <thead class="bg-gray-50">
                                <tr>
                                    <th scope="col" class="py-3.5 px-4 text-sm font-normal text-left rtl:text-right text-gray-500">
                                        <span>Id</span>
                                    </th>
                                    <th scope="col" class="px-4 py-3.5 text-sm font-normal text-left rtl:text-right text-gray-500">
                                        Title
                                    </th>
                                    <th scope="col" class="px-4 py-3.5 text-sm font-normal text-left rtl:text-right text-gray-500">
                                        Image
                                    </th>
                                    <th scope="col" class="relative py-3.5 px-4">
                                        <span class="sr-only">Actions</span>
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="divide-y divide-gray-200">
                                @foreach ($blogs as $blog)
                                <tr class="hover:bg-gray-50">
                                    <td class="px-6 py-4 text-sm text-gray-800">
                                        {{ $blog->id }}
                                    </td>
                                    <td class="px-6 py-4 text-sm text-gray-800">
                                        {{ $blog->title }}
                                    </td>
                                    <td class="px-6 py-4 text-sm text-gray-800">

                                        <img class="w-20" src="{{asset($blog->image)}}" alt="">
                                    </td>
                                    <td class="px-6 py-4 text-center">
                                        <div class="flex space-x-4">
                                            <!-- Edit Button -->
                                            <a href="{{ route('blogs.edit', $blog->id) }}"
                                                class="inline-block px-4 py-2 text-sm font-medium text-white transition bg-blue-500 rounded-lg hover:bg-blue-700">
                                                Edit
                                            </a>

                                            <!-- Delete Button -->
                                            <form action="{{ route('blogs.destroy', $blog->id) }}" method="POST"
                                                onsubmit="return confirm('Are you sure you want to delete this blogs?');">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit"
                                                    class="inline-block px-4 py-2 text-sm font-medium text-white transition bg-red-500 rounded-lg hover:bg-red-700">
                                                    Delete
                                                </button>
                                            </form>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>

    <script>
        // Initialize DataTable
        $(document).ready(function() {
            $('#blogsTable').DataTable({
                responsive: true,
                paging: true,
                searching: true,
                info: true,
                columnDefs: [{
                        orderable: false,
                        targets: 0
                    } // Disable ordering for the Actions column
                ],
                language: {
                    search: "Filter:",
                    lengthMenu: "Show _MENU_ entries",
                }
            });
        });
    </script>
</x-app-layout>