<x-app-layout>
    <div class="container max-w-lg p-6 mx-auto bg-white rounded-lg shadow-lg">
        <h1 class="mb-4 text-2xl font-bold">Edit Gallery</h1>

        <form action="{{ route('gallery.update', $gallery->id) }}" method="POST" enctype="multipart/form-data">
            @csrf
            @method('PUT')



            <div class="mb-4">
                <label for="image" class="block text-gray-700">Image (optional):</label>
                <input type="file" id="image" name="image" class="w-full p-2 border border-gray-300 rounded">
                @error('image')
                <span class="text-red-500">{{ $message }}</span>
                @enderror

                @if ($gallery->image)
                <div class="mt-2">
                    <label class="block text-gray-700">Current Image:</label>
                    <img src="{{ asset($gallery->image) }}" alt="Current Image"
                        class="w-full h-auto max-w-xs border border-gray-300 rounded">
                </div>
                @endif
            </div>

            <button type="submit" class="px-12 py-2 text-white bg-black rounded-full">Update</button>
        </form>
    </div>

</x-app-layout>