<x-app-layout>
    <div class="container max-w-screen-xl mx-auto p-4">
        <h1 class="text-2xl font-bold mb-6 text-center">Create User</h1>
    
        <!-- Display global error message -->
        @if ($errors->any())
            <div class="mb-4 bg-red-100 text-red-700 p-4 rounded-lg">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
    
        <form action="{{ route('admin.receptionist.store') }}" method="POST" enctype="multipart/form-data" class="space-y-6 bg-white shadow-md rounded-lg p-6">
            @csrf
    
            <div class="space-y-2">
                <label for="name" class="block font-semibold text-gray-700">Full Name</label>
                <input type="text" name="name" id="name" value="{{ old('name') }}" required class="mt-1 p-3 border rounded w-full shadow-sm focus:ring-indigo-500 focus:border-indigo-500">
                <!-- Display error for fullname -->
                @error('name')
                    <p class="text-red-500 text-sm mt-1">{{ $message }}</p>
                @enderror
            </div>
    
            <div class="space-y-2">
                <label for="email" class="block font-semibold text-gray-700">Email</label>
                <input type="email" name="email" id="email" value="{{ old('email') }}" required class="mt-1 p-3 border rounded w-full shadow-sm focus:ring-indigo-500 focus:border-indigo-500">
                <!-- Display error for email -->
                @error('email')
                    <p class="text-red-500 text-sm mt-1">{{ $message }}</p>
                @enderror
            </div>
            
            <div class="space-y-2">
                <label for="password" class="block font-semibold text-gray-700">Password</label>
                <input type="text" name="password" id="password" required class="mt-1 p-3 border rounded w-full shadow-sm focus:ring-indigo-500 focus:border-indigo-500">
                <!-- Display error for password -->
                @error('password')
                    <p class="text-red-500 text-sm mt-1">{{ $message }}</p>
                @enderror
            </div>
            
            <div class="space-y-2">
                <label for="roles" class="block font-semibold text-gray-700">Role</label>
                <select name="roles" id="roles" required class="mt-1 p-3 border rounded w-full shadow-sm focus:ring-indigo-500 focus:border-indigo-500">
                    <option disabled selected value="">Select Role</option>
                    <option value="admin" {{ old('roles') == 'admin' ? 'selected' : '' }}>Admin</option>
                    <option value="receptionist" {{ old('roles') == 'receptionist' ? 'selected' : '' }}>Receptionist</option>
                </select>
                <!-- Display error for roles -->
                @error('roles')
                    <p class="text-red-500 text-sm mt-1">{{ $message }}</p>
                @enderror
            </div>
    
            <button type="submit" class="mt-4 p-3 bg-blue-600 text-white rounded-lg hover:bg-blue-700 transition">Add User</button>
        </form>
    </div>
</x-app-layout>
