<x-app-layout>
    <h1 class="text-2xl font-bold mb-6 text-center">Edit User</h1>

    <form action="{{ route('admin.receptionist.update', $receptionist->id) }}" method="POST" enctype="multipart/form-data" class="space-y-6 bg-white shadow-md rounded-lg p-6 max-w-screen-md mx-auto">
        @csrf
        @method('PUT')

        <!-- Full Name Field -->
        <div class="space-y-2">
            <label for="name" class="block font-semibold text-gray-700">Full Name</label>
            <input type="text" name="name" id="name" value="{{ old('name', $receptionist->name) }}" required class="mt-1 p-3 border rounded w-full shadow-sm focus:ring-indigo-500 focus:border-indigo-500">
            @error('name')
                <p class="text-red-500 text-sm mt-1">{{ $message }}</p>
            @enderror
        </div>

        <!-- Email Field -->
        <div class="space-y-2">
            <label for="email" class="block font-semibold text-gray-700">Email</label>
            <input type="email" name="email" id="email" value="{{ old('email', $receptionist->email) }}" required class="mt-1 p-3 border rounded w-full shadow-sm focus:ring-indigo-500 focus:border-indigo-500">
            @error('email')
                <p class="text-red-500 text-sm mt-1">{{ $message }}</p>
            @enderror
        </div>

        <!-- Password Field -->
        <div class="space-y-2">
            <label for="password" class="block font-semibold text-gray-700">Password (Leave blank if not changing)</label>
            <input type="text" name="password" id="password" class="mt-1 p-3 border rounded w-full shadow-sm focus:ring-indigo-500 focus:border-indigo-500">
            @error('password')
                <p class="text-red-500 text-sm mt-1">{{ $message }}</p>
            @enderror
        </div>

        <!-- Role Field -->
        <div class="space-y-2">
            <label for="roles" class="block font-semibold text-gray-700">Role</label>
            <select name="roles" id="roles" required class="mt-1 p-3 border rounded w-full shadow-sm focus:ring-indigo-500 focus:border-indigo-500">
                <option disabled selected value="">Select Role</option>
                <option value="admin" {{ old('roles', $receptionist->roles) == 'admin' ? 'selected' : '' }}>Admin</option>
                <option value="receptionist" {{ old('roles', $receptionist->roles) == 'receptionist' ? 'selected' : '' }}>Receptionist</option>
            </select>
            @error('roles')
                <p class="text-red-500 text-sm mt-1">{{ $message }}</p>
            @enderror
        </div>

        <!-- Submit Button -->
        <button type="submit" class="mt-4 p-3 bg-blue-600 text-white rounded-lg w-full hover:bg-blue-700 transition">Update Receptionist</button>
    </form>
</x-app-layout>
