

<?php $__env->startSection('title','Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="relative">
    <img class="absolute inset-0 object-cover w-full h-full" src="<?php echo e(asset('images/blogs/banner.webp')); ?>" alt="">
    <div class="relative pb-32 pt-52 ">
        <h1 class="text-[#dab97d] text-6xl text-center">Contact Us</h1>
    </div>
</div>

<div class="relative">
    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/blogs/bg-body.webp')); ?>" alt="">
    <div class="container relative max-w-screen-xl px-4 mx-auto">
        <form action="<?php echo e(route('save.form')); ?>" method="POST">
            <?php echo csrf_field(); ?>
            <div class="grid grid-cols-1 gap-12 py-12 md:grid-cols-2">
                <div>
                    <div class="p-8 space-y-4 bg-white rounded-xl">
                        <div class="text-center">
                            <h1 class="font-bold text-[#7700ce] text-2xl md:text-4xl">Got Any Questions?</h1>
                            <p class="text-sm">Use the form below to get in touch with the support team</p>
                        </div>
                        <div class="space-y-4">
                            <div class="flex items-center justify-between">
                                <label for="full_name">Full Name:</label>
                                <input type="text" id="default-input" name="full_name" value="<?php echo e(old('full_name')); ?>" class="w-1/2 rounded-full ">

                            </div>
                            <div class="flex justify-end">
                                <?php $__errorArgs = ['full_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="text-red-500"> <?php echo e($message); ?> </span>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div class="flex items-center justify-between">
                                <label for="contact_number">Contact Number:</label>
                                <input type="text" id="default-input" name="contact_number" value="<?php echo e(old('contact_number')); ?>" class="w-1/2 rounded-full ">

                            </div>
                            <div class="flex justify-end">
                                <?php $__errorArgs = ['contact_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="text-red-500"> <?php echo e($message); ?> </span>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div class="flex items-center justify-between">
                                <label for="email">Email Address:</label>
                                <input type="text" id="default-input" name="email" value="<?php echo e(old('email')); ?>" class="w-1/2 rounded-full ">
                            </div>
                            <div class="flex justify-end">
                                <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="text-red-500"> <?php echo e($message); ?> </span>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>

                        <div class="flex flex-col space-y-4 ">
                            <label for="full_name">Message</label>
                            <textarea id="message" rows="6" name="message" type="text" class="rounded-xl"><?php echo e(old('message')); ?></textarea>
                            <?php $__errorArgs = ['message'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-red-500"> <?php echo e($message); ?> </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div>
                            <button type="submit" class="rounded text-black bg-[#fcbb45] px-8 py-2">Submit Message</button>
                        </div>
                    </div>
                </div>

                <div>
                    <img src="<?php echo e(asset('images/blogs/img.webp')); ?>" alt="">
                </div>
            </div>
        </form>


    </div>
</div>

<?php if(session('success')): ?>
<div id="successModal" class="fixed inset-0 z-50 flex items-center justify-center">
    <div onclick="event.stopPropagation();" class="relative z-50 w-full max-w-xl p-6 space-y-8 text-center bg-white rounded-lg shadow-lg">
        <div class="flex justify-center">
            <img class="w-40" src="<?php echo e(asset('images/contact_us/Check.png')); ?>" alt="">
        </div>
        <div>
            <p class="mt-2 text-2xl font-bold text-gray-700"><?php echo e(session('success')); ?></p>
        </div>
        <div>
            <p class="mt-2 text-gray-700"><?php echo e(session('message')); ?></p>
            <p class="mt-2 text-gray-700"><?php echo e(session('message2')); ?></p>
        </div>
    </div>

    <div id="modalOverlay" class="fixed inset-0 z-0 bg-black opacity-80" onclick="closeModal()"></div>
</div>
<?php endif; ?>

<script>
    function closeModal() {
        document.getElementById('successModal').style.display = 'none';
    }
    setTimeout(closeModal, 5000);
</script>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\R Web Solutions\Desktop\New folder\xclv\resources\views/contact_us.blade.php ENDPATH**/ ?>